# TdApi.MessageCopyOptions (tdlight API 3.3.160 API)
declaration: package: it.tdlight.jni, class: TdApi, class: MessageCopyOptions

Package it.tdlight.jni

# Class TdApi.MessageCopyOptions

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.MessageCopyOptions

Enclosing class:
  TdApi

    public static class TdApi.MessageCopyOptions
    extends TdApi.Object

Options to be used when a message content is copied without reference to the original sender. Service messages and messageInvoice can't be copied.

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`static int` | `CONSTRUCTOR` |
`TdApi.FormattedText` | `newCaption` | New message caption; pass null to copy message without caption.
`boolean` | `replaceCaption` | True, if media caption of the message copy needs to be replaced.
`boolean` | `sendCopy` | True, if content of the message needs to be copied without reference to the original sender.

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`MessageCopyOptions()` | Options to be used when a message content is copied without reference to the original sender.
`MessageCopyOptions​(boolean sendCopy, boolean replaceCaption, TdApi.FormattedText newCaption)` | Options to be used when a message content is copied without reference to the original sender.
`MessageCopyOptions​(DataInput input)` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`boolean` | `equals​(Object o)` |
`int` | `getConstructor()` |
`int` | `hashCode()` |
`void` | `serialize​(DataOutput output)` |

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### sendCopy

public boolean sendCopy
True, if content of the message needs to be copied without reference to the original sender. Always true if the message is forwarded to a secret chat or is local.

### replaceCaption

public boolean replaceCaption
True, if media caption of the message copy needs to be replaced. Ignored if sendCopy is false.

### newCaption

public TdApi.FormattedText newCaption
New message caption; pass null to copy message without caption. Ignored if replaceCaption is false.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  Constant Field Values

## Constructor Details

### MessageCopyOptions

public MessageCopyOptions()
Options to be used when a message content is copied without reference to the original sender. Service messages and messageInvoice can't be copied.

### MessageCopyOptions

public MessageCopyOptions​(boolean sendCopy, boolean replaceCaption, TdApi.FormattedText newCaption)
Options to be used when a message content is copied without reference to the original sender. Service messages and messageInvoice can't be copied.

Parameters:
  `sendCopy` - boolean True, if content of the message needs to be copied without reference to the original sender. Always true if the message is forwarded to a secret chat or is local.
  `replaceCaption` - boolean True, if media caption of the message copy needs to be replaced. Ignored if sendCopy is false.
  `newCaption` - FormattedText New message caption; pass null to copy message without caption. Ignored if replaceCaption is false.

### MessageCopyOptions

public MessageCopyOptions​(DataInput input) throws IOException

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize​(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals​(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`